Package org.apache.datasketches.sampling

# Class VarOptItemsSamples.VarOptItemsIterator

java.lang.Object
org.apache.datasketches.sampling.VarOptItemsSamples.VarOptItemsIterator

All Implemented Interfaces:
  `Iterator<VarOptItemsSamples<T>.WeightedSample>`

Enclosing class:
  `VarOptItemsSamples<T>`

public class VarOptItemsSamples.VarOptItemsIterator extends Object implements Iterator<VarOptItemsSamples<T>.WeightedSample>
The standard iterator

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`VarOptItemsSamples<T>.WeightedSample`
`next()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, remove`

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<VarOptItemsSamples<T>.WeightedSample>`

### next

public VarOptItemsSamples<T>.WeightedSample next()

Specified by:
  `next` in interface `Iterator<VarOptItemsSamples<T>.WeightedSample>`